@PACKAGE@(8)

NAME
@PACKAGE@ - svnserve tunnel-mode setuid wrapper

SYNOPSIS
@PACKAGE@ [ options ... ]

DESCRIPTION
Runs Subversion's svnserve program in tunnel mode, setting the tunnel username equal to the username of the user that invoked @PACKAGE@. Using this wrapper, repository administrators can have meaningful path-based access controls when using the svn+ssh access scheme without resorting to the authorized_keys trick. Normally, the svn+ssh scheme requires the repository administrator to make all repository files fully readable and writeable by all users. Unfortunately, this configuration allows users to easily bypass svnserve's access controls. With svnstsw installed and the setuid or setgid bit set, repository administrators can take direct filesystem access away from users and prevent them from bypassing svnserve's access controls. This wrapper works by executing (via exec(3)) svnserve with the --tunnel and --tunnel-user=user arguments, where user is the username of the user that invoked svnstsw (as determined using either getlogin_r(3) or getpwuid_r(3) with getuid(3)). The specific svnserve executable to run is set at compile time and can be verified using the --help command-line argument. The --root= path command-line argument is also passed to svnserve , with the value of path set at compile time. The value of path can be verified using the --help command-line argument. Depending on compile-time settings, path may be overridden using the -r or --root command-line arguments; see --help for more details. This wrapper was written for Subversion 1.4.

OPTIONS

-h, --help
    Display a command-line usage summary along with the specific svnserve binary to execute and the (default) virtual repository root path.

-r path, --root=path
    Use path as the argument to svnserve 's --root command-line argument instead of the compiled-in default. This option is ignored if root overriding was disabled at compile time. To see the default path , use the --help option.

-R, --read-only
    Instructs this wrapper to also pass the --read-only command-line argument to svnserve .

-t, --tunnel
    Ignored.

--tunnel-user=user
    Ignored.

--version
    Display version and copyright information.

SEE ALSO
svnserve(8), lib@PACKAGE@(3)

AUTHOR
Richard Hansen <svnstsw@ir.bbn.com>

COPYING
Copyright (c) 2008 BBN Technologies Corp. All rights reserved. Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

    1.  Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

    2.  Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

    3.  Neither the name of BBN Technologies nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
THIS SOFTWARE IS PROVIDED BY BBN TECHNOLOGIES AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL BBN TECHNOLOGIES OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.